BATTERY-STATS-COLLECTOR(8)

NAME
battery-stats-collector - Collect statistics about battery charge

SYNOPSIS
battery-stats-collector [option] ...

DESCRIPTION
Does exactly as it says on the tin - it will collect information from the APM subsystem and write it to a log file.

Normally battery-stats-collector will be invoked by the system startup scripts.

OPTIONS
battery-stats follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-o FILE, --output FILE
    Append statistics to the given file. The default filename is /var/log/battery-stats

-i SECS, --interval=SECS
    Sampling intervals in seconds. If not specified, stats will be collected every 30 seconds.

-F COUNT, --flush=COUNT
    Flushes data to the log file every COUNT samples. A value of zero turns off flushing altogether. If left unspecified, battery-stats-collector will assume a value of 1, i.e. flush at every write. Setting the value too low will tend to keep the disk spinning (and use battery needlessly). Setting the value too high will loose statistics in case of an improper shutdown.
    Note that since battery-stats-collector uses the standard Ansi C library, data will still be flushed periodically (regardless of this setting) once the buffer fills up. The size of the buffer is platform dependent, but 4Kb and 8Kb seem pretty normal.

-b NUM, --battery-num=NUM
    Read information about battery number NUM. (In case you have multiple batteries installed).

-1, --once
    Only collect a single sample and exit. The default is to loop continiously.

-I, --ignore-missing-battery
    Keeps quiet about missing batteries. This stops the warnings on stderr/syslog that would otherwise occur when the battery is missing.

-s, --syslog
    Log error messages to syslog, rather than stderr. Note that messages regarding invalid command line parameters will still go to stderr.

-V, --version
    Show version of battery-stats-collector and exit.

-h, --help
    Show summary of options and exit.

FILES

/var/log/battery-stats
    Default file for writing battery charge samples to.

SEE ALSO
battery-graph(1)
Newer versions of this program may (or may not) be available at http://karl.jorgensen.com/battery-stats

AUTHOR
This manual page was written initially written by Karl E. Jorgensen <karl@jorgensen.com>, for the Debian GNU/Linux system (but may be used by others).
Adapted by Antonio Radici <antonio@dyne.org> to include libacpi and autotools support, see History for details.
Kevin Funk <kevin@kfunk.org> took over maintainership in 2012.